From 371acb75a7e1cbbd6b9de8ef437ee31c50c54f69 Mon Sep 17 00:00:00 2001
From: rblalock <rickblalock@mac.com>
Date: Thu, 11 Jul 2013 10:03:15 -0400
Subject: [PATCH] Added insert or replace via insertReplace()

---
 joli.js | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/joli.js b/joli.js
index 12a7652..76f7407 100644
--- a/joli.js
+++ b/joli.js
@@ -495,6 +495,8 @@ var joliCreator = function() {
                     return 'insert into ' + this.data.from + ' (' + this.data.set.join(', ') + ') values (' + this.data.values.join(', ') + ')';
                 case 'replace':
                     return 'replace into ' + this.data.from + ' (' + this.data.set.join(', ') + ') values (' + this.data.values.join(', ') + ')';
+                case 'insert_replace':
+                    return 'insert or replace into ' + this.data.from + ' (' + this.data.set.join(', ') + ') values (' + this.data.values.join(', ') + ')';
                 case 'select':
                     var join = '';
 
@@ -674,6 +676,11 @@ var joliCreator = function() {
             this.data.from = table;
             return this;
         },
+        insertReplace: function(table) {
+            this.data.operation = 'insert_replace';
+            this.data.from = table;
+            return this;
+        },
         select: function(columns) {
             this.data.operation = 'select';
 
